Difference between revisions of "Package:Profanity"

 
Line 7: Line 7:
 
Profanity is a console based XMPP client written in C using ncurses and libstrophe, inspired by Irssi.
 
Profanity is a console based XMPP client written in C using ncurses and libstrophe, inspired by Irssi.
  
== Install the package: ==
+
== Installing latest release version: ==
  
 
<console>
 
<console>
Line 14: Line 14:
  
 
Profanity can be linked with either libxml2 or expat libraries. By default expat is used, set the xml flag to link with libxml2.
 
Profanity can be linked with either libxml2 or expat libraries. By default expat is used, set the xml flag to link with libxml2.
 +
 +
== Installing development/live version: ==
  
 
To install latest development version, add net-im/profanity to the package.keywords and package.unmask file:
 
To install latest development version, add net-im/profanity to the package.keywords and package.unmask file:

Latest revision as of 14:35, September 14, 2014

net-im/profanity


Current Maintainer(s):damex
Source Repository:Funtoo Overlay
Homepage

Summary: Ncurses based jabber client inspired by irssi


News

Drobbins

New Media Mix-ins

Funtoo Linux now has new media mix-ins. Learn about them and how to use them.
11 January 2015 by Drobbins
Drobbins

The Many Builds of Funtoo Linux

We now have lots of different builds of Funtoo Linux for various CPUs, as well as Hardened, Stable and ARM, and a new UI to browse them. Learn more here.
25 December 2014 by Drobbins
Oleg

Python Updater Deprecation

Python-updater is no longer part of Funtoo Linux.
6 December 2014 by Oleg
View More News...

Profanity

Tip

This is a wiki page. To edit it, Create a Funtoo account. Then log in and then click here to edit this page. See our editing guidelines to becoming a wiki-editing pro.

Profanity is a console based XMPP client written in C using ncurses and libstrophe, inspired by Irssi.

Installing latest release version:

# emerge profanity

Profanity can be linked with either libxml2 or expat libraries. By default expat is used, set the xml flag to link with libxml2.

Installing development/live version:

To install latest development version, add net-im/profanity to the package.keywords and package.unmask file:

# echo "=net-im/profanity-9999 **" >> /etc/portage/package.keywords
# echo "=net-im/profanity-9999" >> /etc/portage/package.unmask
# emerge =net-im/profanity-9999